Package org.drinkless.tdlib

# Class TdApi.GetSavedMessagesTopicMessageByDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.GetSavedMessagesTopicMessageByDate

Enclosing class:
  TdApi

public static class TdApi.GetSavedMessagesTopicMessageByDate extends TdApi.Function<TdApi.Message>
Returns the last message sent in a Saved Messages topic no later than the specified date.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) relative to which to search for messages.
  `long`
  `savedMessagesTopicId`
  Identifier of Saved Messages topic which message will be returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSavedMessagesTopicMessageByDate()`
  Default constructor for a function, which returns the last message sent in a Saved Messages topic no later than the specified date.
  `GetSavedMessagesTopicMessageByDate(long savedMessagesTopicId, int date)`
  Creates a function, which returns the last message sent in a Saved Messages topic no later than the specified date.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### savedMessagesTopicId

    public long savedMessagesTopicId
    Identifier of Saved Messages topic which message will be returned.

  - ### date

    public int date
    Point in time (Unix timestamp) relative to which to search for messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetSavedMessagesTopicMessageByDate

    public GetSavedMessagesTopicMessageByDate()
    Default constructor for a function, which returns the last message sent in a Saved Messages topic no later than the specified date.

    Returns `Message`

  - ### GetSavedMessagesTopicMessageByDate

    public GetSavedMessagesTopicMessageByDate(long savedMessagesTopicId, int date)
    Creates a function, which returns the last message sent in a Saved Messages topic no later than the specified date.

    Returns `Message`

    Parameters:
      `savedMessagesTopicId` - Identifier of Saved Messages topic which message will be returned.
      `date` - Point in time (Unix timestamp) relative to which to search for messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR